> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dualship.run/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspaces

> Get all workspaces the authenticated user is a member of



## OpenAPI

````yaml openapi.json get /api/v1/workspaces
openapi: 3.0.0
info:
  description: Dualship backend API for workflow automation and API management.
  title: Dualship API
  termsOfService: https://dualship.run/terms
  contact:
    name: Dualship Support
    url: https://dualship.run/support
    email: support@dualship.run
  version: '1.0'
servers:
  - url: https://api.dualship.run
security: []
paths:
  /api/v1/workspaces:
    get:
      tags:
        - workspaces
      summary: List workspaces
      description: Get all workspaces the authenticated user is a member of
      responses:
        '200':
          description: List of workspaces
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/internal_api_handler.WorkspaceListResponse
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.UnauthorizedError'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/internal_api_handler.InternalServerError'
      security:
        - BearerAuth: []
components:
  schemas:
    internal_api_handler.WorkspaceListResponse:
      description: List of workspaces
      type: object
      properties:
        workspaces:
          type: array
          items:
            $ref: '#/components/schemas/internal_api_handler.WorkspaceResponse'
    internal_api_handler.UnauthorizedError:
      description: Unauthorized error
      type: object
      properties:
        code:
          type: string
          example: UNAUTHORIZED
        error:
          type: string
          example: unauthorized
    internal_api_handler.InternalServerError:
      description: Internal server error
      type: object
      properties:
        code:
          type: string
          example: INTERNAL_ERROR
        error:
          type: string
          example: internal server error
    internal_api_handler.WorkspaceResponse:
      description: Workspace information
      type: object
      properties:
        created_at:
          type: string
          example: '2024-01-15T10:30:00Z'
        id:
          type: string
          example: 550e8400-e29b-41d4-a716-446655440000
        logo_url:
          type: string
          example: https://cdn.example.com/logo.png
        metadata:
          type: object
          additionalProperties: {}
        name:
          type: string
          example: Acme Corp
        slug:
          type: string
          example: acme-corp
        updated_at:
          type: string
          example: '2024-01-15T10:30:00Z'
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token authentication

````